org.apache.mina.filter.reqres

## Enum ResponseType

- java.lang.Object
- - java.lang.Enum<ResponseType>
  - - org.apache.mina.filter.reqres.ResponseType

- All Implemented Interfaces:
    Serializable, Comparable<ResponseType>

      public enum ResponseType
      extends Enum<ResponseType>

  Type of Response contained within the `Response` class Response can be either a single entity or a multiple partial messages, in which case PARTIAL_LAST signifies the end of partial messages For response contained within a single message/entity the ResponseType shall be WHOLE For response with multiple partial messages, we have respnse type sepcified as [PARTIAL]+ PARTIAL_LAST meaning, we have One or more PARTIAL response type with one PARTIAL_LAST which signifies end of partial messages or completion of response message
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARTIAL`
    `PARTIAL_LAST`
    `WHOLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHOLE

          public static final ResponseType WHOLE

    - #### PARTIAL

          public static final ResponseType PARTIAL

    - #### PARTIAL_LAST

          public static final ResponseType PARTIAL_LAST

  - ### Method Detail

    - #### values

          public static ResponseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseType c : ResponseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.